#include<iostream>
#include<string.h>
#include<math.h>
using namespace std;
float fun(int x)
{
	int l=0,i;
	for(i=1;i<=x;i++)
	{
		if(x%i==0)
		l++;
		if(l==2)
		return 1;
		else return 0;
	}
	
}
int f(int a[])
{	
	int i,k,n,t;
	for(n=0;a[n]!=0;n++);
	for(i=0;i<n-1;i++)
	{
		for(k=0;k<n-1;k++)
		if(a[k]>=a[k+1])
		{
			t=a[k];
			a[k]=a[k+1];
			a[k+1]=t;
		}
	}
return n;
}
int main()
{
	int b[100],a[100],n,i,k=0,s;
	cin>>n;
	or(i=0;i<n;i++)
	cin>>a[i];
	for(i=0;i<100;i++)
	b[i]=0;
	for(i=0;i<n;i++)
	if(fun(a[i])==1)
	{
		b[k]=a[i];
		k++;
	}
	s=f(b);
	for(i=0;i<s;i++)
	cout<<b[i]<<" ";
	
	return 0;
}

